Subject: Re: bug#50503: [PATCH] Properly encode all strings sent to the Python shell

From: Augusto Stoffel <[email-masked]>
Date: Fri, 10 Sep 2021 18:16:11 +0200

On Fri, 10 Sep 2021 at 13:07, Lars Ingebrigtsen <[email-masked]> wrote:

>> - python.el now depends on Emacs 28 because it uses 'format-prompt' and
>>   'comint-max-line-length' (luckily, only the latter is my fault).  Is
>>   this a problem?
>
> Yes -- that was a mistake, so I've now reverted the usage of
> format-prompt here.

Thanks!  But note that there is at least one Emacs 28 dependency left,
namely `comint-max-line-length'.  There's also a byte-compiler warning
regarding `comint-highlight-input' even on Emacs 27.